mosoodocs

Thread イベントをストリーミングする

パブリック Thread イベント ログ エントリをサーバー送信イベントとしてストリーミングします。各 `thread.event` データ ペイロードは、GET /threads/{threadId}/events と同じ ThreadEventLogEntry 形状を使用します。

GET/threads/{threadId}/events/stream

パブリック Thread イベント ログ エントリをサーバー送信イベントとしてストリーミングします。各 thread.event データ ペイロードは、GET /threads/{threadId}/events と同じ ThreadEventLogEntry 形状を使用します。イベントは安定したイベント ID によって発行され、ストリームはポーリング中に検出された重複 ID を抑制します。このストリームは長時間実行されるコンシューマー UX 用であり、生のランタイム ペイロード、内部診断、プライベート トランスクリプトは公開されません。

Authorization

publicApiBearer
AuthorizationBearer <token>

Authorization: Bearer mst_... を使用します。 API token はアカウントを識別しますが、スコープは持ちません。

In: header

Path Parameters

threadId*string

Thread 作成時に返された Thread ID。v1 ID は prefix のない ULID です。

Match^[0-7][0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{25}$
Formatulid

Query Parameters

limit?integer

返される最新の Thread イベントの最大数。

Range1 <= value <= 1000
Default100

Response Body

text/event-stream

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/threads/01J00000000000000000000009/events/stream?limit=100"
": connected\n\nevent: thread.event\nid: 01J00000000000000000000010\ndata: {\"id\":\"01J00000000000000000000010\",\"runId\":\"01J0000000000000000000000A\",\"type\":\"run.started\",\"status\":\"available\",\"content\":\"01J0000000000000000000000A\",\"occurredAt\":\"2026-05-19T00:00:01.000Z\",\"durationMs\":null,\"tokens\":null}\n\n"
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}